### Namespace

# GVnc – 1.0

A VNC client viewer widget for GTK

Version | 1.4.0
Authors | GTK-VNC Development Team
License | LGPL-2.1-or-later
Website | https://wiki.gnome.org/Projects/gtk-vnc
Source | https://gitlab.gnome.org/GNOME/gtk-vnc/

#### Build

C headers | `gvnc.h`
pkg-config files | `gvnc-1.0`

#### Dependencies

#### Related libraries

GObject | The base type system library
| Browse documentation
GIO | GObject Interfaces and Objects, Networking, IPC, and I/O
| Browse documentation

#### Additional documentation

- Classes Hierarchy

#### Classes

BaseAudio |
BaseFramebuffer |
Connection |
Cursor |

#### Interfaces

Audio |
Framebuffer |

#### Structs

AudioFormat |
AudioSample |
ColorMap |
ColorMapEntry |
PixelFormat |

#### Enumerations

AudioFormatType |
ConnectionAuth |
ConnectionAuthVencrypt |
ConnectionCredential |
ConnectionEncoding |
ConnectionPowerAction |
ConnectionResizeStatus |

#### Functions

util_check_version | Check whether the library is at least as new as the version (`major`, `minor`, `micro`).
util_get_debug | Determine whether the VNC code will emit verbose debug messages.
util_get_version | Get the encoded version number of the library release. The major, minor and micro components are encoded in 8-bits each.
util_get_version_string | Get the library version number in a printable string format.
util_set_debug | Control whether the VNC code emits verbose debug messages on stderr.

#### Function Macros

CHECK_VERSION |
DEBUG |

#### Constants

LEDSTATE_CAPS_LOCK |
LEDSTATE_NUM_LOCK |
LEDSTATE_SCROLL_LOCK |
MAJOR_VERSION |
MICRO_VERSION |
MINOR_VERSION |
PADDING |
PADDING_LARGE |